- Main Page
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Defines | Functions

# fbxanimcurvenode.h File Reference

`#include <fbxsdk/fbxsdk_def.h>`
`#include <fbxsdk/core/fbxobject.h>`
`#include <fbxsdk/fbxsdk_nsbegin.h>`
`#include <fbxsdk/fbxsdk_nsend.h>`

Go to the source code of this file.

## Classes
class | FbxAnimCurveNode
| This class is an composite of animation curves and is called as animation curve node. More...
## Defines
#define | FBXSDK_CURVENODE_TRANSFORM "Transform"
#define | FBXSDK_CURVENODE_TRANSLATION "T"
#define | FBXSDK_CURVENODE_ROTATION "R"
#define | FBXSDK_CURVENODE_SCALING "S"
#define | FBXSDK_CURVENODE_COMPONENT_X "X"
#define | FBXSDK_CURVENODE_COMPONENT_Y "Y"
#define | FBXSDK_CURVENODE_COMPONENT_Z "Z"
#define | FBXSDK_CURVENODE_COLOR "Color"
#define | FBXSDK_CURVENODE_COLOR_RED FBXSDK_CURVENODE_COMPONENT_X
#define | FBXSDK_CURVENODE_COLOR_GREEN FBXSDK_CURVENODE_COMPONENT_Y
#define | FBXSDK_CURVENODE_COLOR_BLUE FBXSDK_CURVENODE_COMPONENT_Z
## Functions
FBXSDK_DLL void | GetAllAnimCurves (FbxAnimStack *pAnimStack, FbxArray< FbxAnimCurve * > &pCurves)
FBXSDK_DLL void | GetAllAnimCurves (FbxObject *pObj, FbxAnimStack *pAnimStack, FbxArray< FbxAnimCurve * > &pCurves)

## Detailed Description

Definition in file fbxanimcurvenode.h.

## Define Documentation

#define FBXSDK_CURVENODE_TRANSFORM "Transform"

Search for all occurrences

Definition at line 23 of file fbxanimcurvenode.h.

#define FBXSDK_CURVENODE_TRANSLATION "T"

Search for all occurrences

Definition at line 24 of file fbxanimcurvenode.h.

#define FBXSDK_CURVENODE_ROTATION "R"

Search for all occurrences

Definition at line 25 of file fbxanimcurvenode.h.

#define FBXSDK_CURVENODE_SCALING "S"

Search for all occurrences

Definition at line 26 of file fbxanimcurvenode.h.

#define FBXSDK_CURVENODE_COMPONENT_X "X"

Search for all occurrences

Examples:
  ExportScene03/main.cxx, ExportScene04/main.cxx, ImportScene/DisplayAnimation.cxx, Instances/main.cxx, and UserProperties/main.cxx.

Definition at line 27 of file fbxanimcurvenode.h.

#define FBXSDK_CURVENODE_COMPONENT_Y "Y"

Search for all occurrences

Examples:
  ExportScene01/main.cxx, ExportScene03/main.cxx, ExportScene04/main.cxx, ImportScene/DisplayAnimation.cxx, Instances/main.cxx, and UserProperties/main.cxx.

Definition at line 28 of file fbxanimcurvenode.h.

#define FBXSDK_CURVENODE_COMPONENT_Z "Z"

Search for all occurrences

Examples:
  ExportScene01/main.cxx, ImportScene/DisplayAnimation.cxx, Instances/main.cxx, and UserProperties/main.cxx.

Definition at line 29 of file fbxanimcurvenode.h.

#define FBXSDK_CURVENODE_COLOR "Color"

Search for all occurrences

Definition at line 30 of file fbxanimcurvenode.h.

#define FBXSDK_CURVENODE_COLOR_RED FBXSDK_CURVENODE_COMPONENT_X

Search for all occurrences

Examples:
  ExportScene04/main.cxx, ImportScene/DisplayAnimation.cxx, and ViewScene/SceneCache.cxx.

Definition at line 31 of file fbxanimcurvenode.h.

#define FBXSDK_CURVENODE_COLOR_GREEN FBXSDK_CURVENODE_COMPONENT_Y

Search for all occurrences

Examples:
  ExportScene04/main.cxx, ImportScene/DisplayAnimation.cxx, and ViewScene/SceneCache.cxx.

Definition at line 32 of file fbxanimcurvenode.h.

#define FBXSDK_CURVENODE_COLOR_BLUE FBXSDK_CURVENODE_COMPONENT_Z

Search for all occurrences

Examples:
  ExportScene04/main.cxx, ImportScene/DisplayAnimation.cxx, and ViewScene/SceneCache.cxx.

Definition at line 33 of file fbxanimcurvenode.h.

## Function Documentation

FBXSDK_DLL void GetAllAnimCurves | ( | FbxAnimStack * | pAnimStack,
|  | FbxArray< FbxAnimCurve * > & | pCurves
| ) |  |

Search for all occurrences

FBXSDK_DLL void GetAllAnimCurves | ( | FbxObject * | pObj,
|  | FbxAnimStack * | pAnimStack,
|  | FbxArray< FbxAnimCurve * > & | pCurves
| ) |  |

Search for all occurrences